import java.util.Scanner;
public class LEDisplay
{
  
  
  public static void main(String[] args) 
  { 
    Scanner teclado= new Scanner(System.in);
    
    System.out.println("LED display");
    System.out.print("Numero a mostrar");
    teclado.skip("[\n\r\t]*");
      
    { 
      for(int turnos= 0; ; turnos++)
        
      {
        
        
        String numerousuario=teclado.nextLine();
        System.out.println(" " + numerousuario);
        
        if( numerousuario.equals("0"))
          return;
        
        System.out.println("aumento :");
        int aumento=teclado.nextInt();
        System.out.println(" " + aumento);
        
        
        
        for (int contador=0; contador<numerousuario.length(); contador++)
        {
          if (numerousuario.charAt(contador)== '1');
          { 
            int n=aumento;
            int inicioa=0;
            int iniciob=0;
            
            for(inicioa=1;inicioa<=5;inicioa++)
            {
              for(int linea=1; linea<=aumento; linea++)
              {
                System.out.print("#");
                System.out.println();
              }
              
            }
          }// if 1
          
          System.out.println();
          
          if (numerousuario.charAt(contador)=='0');
          {
            int n=aumento;
            int inicioa=0;
            int iniciob=0;
            
            for(inicioa=1;inicioa<=1;inicioa++)
            { 
              for(int i=1;i<=aumento; i++)
              { for ( int f = 1;f <= aumento;f++ )
                System.out.print("###");
              System.out.println();
              }
              for (int i=1; i<=aumento;i++)
              { 
                for ( int f = 1;f <=(aumento-1);f++ )
                  System.out.print("#");
                System.out.print(" ");
                
              }
              for (int i=1; i<=aumento;i++)
              { 
                for ( int f = 1;f <= aumento;f++ )
                  System.out.printf("#");
                System.out.printf("#");
                System.out.printf("#");
                System.out.println();
              }
              for (int i=1; i<=aumento;i++)
              { 
                for ( int f = 1;f <= aumento;f++ )
                  System.out.print("#");
                
              }
              for (int i=1; i<=aumento;i++)
              { 
                for ( int f = 1;f <= aumento;f++ )
                  System.out.print("");
                
              } 
            }
          }//if 0
          System.out.println();
          
          
          if(numerousuario.charAt(contador)=='2');
          
          { int n=aumento;
            int inicioa=0;
            int iniciob=0;
            
            for(inicioa=1;inicioa<=1;inicioa++)
            { 
              for(int i=1;i<=aumento; i++)
              { for ( int f = 1;f <= aumento;f++ )
                System.out.print("###");
              System.out.println();
              }
              for (int i=1; i<=aumento;i++)
              { 
                for ( int f = 1;f <=(aumento-1);f++ )
                  System.out.print("    ");
                
                for ( int f = 1;f <=aumento;f++ )
                  System.out.print("#");
                System.out.println();
              }
              for (int i=1; i<=aumento;i++)
              { 
                for ( int f = 1;f <= aumento;f++ )
                  System.out.print("###");
                System.out.println();
              }
              for (int i=1; i<=aumento;i++)
              { 
                for ( int f = 1;f <= aumento;f++ )
                  System.out.print("#");
                System.out.println();
              }
              for (int i=1; i<=aumento;i++)
              { 
                for ( int f = 1;f <= aumento;f++ )
                  System.out.print("###");
                System.out.println();
              }
            }//
            
          }// if 2
          System.out.println();
          System.out.println();
          
        }//for contador
      }//for turno
    }//else turno
  }//main
  
}
//class